POST api/contractItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "38a6ef93-ec82-4843-89f0-558ae0ad5b21",
"selected_nameplate_id": "dc82952c-79a7-45aa-991f-ea56606e9efc",
"active": true,
"contract_id": "094659a8-1d92-41fa-8729-43460974331c",
"id": "a97a4fb8-ee7f-495b-8a83-31932a56d289",
"physical_item_id": "8ea3e944-87ae-4f6e-9c33-0ef8b911852a",
"service_item_id": "2e3ff464-13ce-4282-a158-42c813675614",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>094659a8-1d92-41fa-8729-43460974331c</contract_id>
<id>a97a4fb8-ee7f-495b-8a83-31932a56d289</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>8ea3e944-87ae-4f6e-9c33-0ef8b911852a</physical_item_id>
<quantity>1</quantity>
<service_item_id>2e3ff464-13ce-4282-a158-42c813675614</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>dc82952c-79a7-45aa-991f-ea56606e9efc</selected_nameplate_id>
<selected_sticker_id>38a6ef93-ec82-4843-89f0-558ae0ad5b21</selected_sticker_id>
</contract_item>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"d9203144-9015-451a-9a25-ffc830471b91"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d9203144-9015-451a-9a25-ffc830471b91</guid>